org.modeshape.jcr.query.validate

## Interface Schemata.Table

- All Known Subinterfaces:
    Schemata.View
  Enclosing interface:
    Schemata

      public static interface Schemata.Table

  Information about a queryable table.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schemata.Column` | `getColumn(String name)` Get the information for a column with the supplied name within this table.
    `List<Schemata.Column>` | `getColumns()` Get the queryable columns in this table.
    `Map<String,Schemata.Column>` | `getColumnsByName()` Get the queryable columns in this table.
    `Schemata.Key` | `getKey(Iterable<Schemata.Column> columns)` Obtain this table's `key` that contains exactly those columns listed.
    `Schemata.Key` | `getKey(Schemata.Column... columns)` Obtain this table's `key` that contains exactly those columns listed.
    `Collection<Schemata.Key>` | `getKeys()` Get the collection of keys for this table.
    `SelectorName` | `getName()` Get the name for this table.
    `List<Schemata.Column>` | `getSelectAllColumns()` Get the queryable columns in this table that should be used in case of "SELECT *".
    `Map<String,Schemata.Column>` | `getSelectAllColumnsByName()` Get the queryable columns in this table that should be used in case of "SELECT *".
    `boolean` | `hasExtraColumns()` Determine whether this table allows has extra columns not included in the `column list`.
    `boolean` | `hasKey(Iterable<Schemata.Column> columns)` Determine whether this table has a `key` that contains exactly those columns listed.
    `boolean` | `hasKey(Schemata.Column... columns)` Determine whether this table has a `key` that contains exactly those columns listed.

- - ### Method Detail

    - #### getName

          SelectorName getName()

      Get the name for this table.
      Returns:
        the table name; never null

    - #### getColumn

          Schemata.Column getColumn(String name)

      Get the information for a column with the supplied name within this table.

      The resulting column definition is immutable.

      Parameters:
        `name` - the column name; may not be null
      Returns:
        the column information, or null if there is no such column

    - #### getColumnsByName

          Map<String,Schemata.Column> getColumnsByName()

      Get the queryable columns in this table.
      Returns:
        the immutable map of immutable column objects by their name; never null

    - #### getColumns

          List<Schemata.Column> getColumns()

      Get the queryable columns in this table.
      Returns:
        the immutable, ordered list of immutable column objects; never null

    - #### getSelectAllColumns

          List<Schemata.Column> getSelectAllColumns()

      Get the queryable columns in this table that should be used in case of "SELECT *".
      Returns:
        the immutable, ordered list of immutable column objects; never null

    - #### getSelectAllColumnsByName

          Map<String,Schemata.Column> getSelectAllColumnsByName()

      Get the queryable columns in this table that should be used in case of "SELECT *".
      Returns:
        the immutable map of immutable column objects by their name; never null

    - #### getKeys

          Collection<Schemata.Key> getKeys()

      Get the collection of keys for this table.
      Returns:
        the immutable collection of immutable keys; never null, but possibly empty

    - #### hasKey

          boolean hasKey(Schemata.Column... columns)

      Determine whether this table has a `key` that contains exactly those columns listed.
      Parameters:
        `columns` - the columns for the key
      Returns:
        true if this table contains a key using exactly the supplied columns, or false otherwise

    - #### hasKey

          boolean hasKey(Iterable<Schemata.Column> columns)

      Determine whether this table has a `key` that contains exactly those columns listed.
      Parameters:
        `columns` - the columns for the key
      Returns:
        true if this table contains a key using exactly the supplied columns, or false otherwise

    - #### getKey

          Schemata.Key getKey(Schemata.Column... columns)

      Obtain this table's `key` that contains exactly those columns listed.

      The resulting key definition is immutable.

      Parameters:
        `columns` - the columns for the key
      Returns:
        the key that uses exactly the supplied columns, or null if there is no such key

    - #### getKey

          Schemata.Key getKey(Iterable<Schemata.Column> columns)

      Obtain this table's `key` that contains exactly those columns listed.

      The resulting key definition is immutable.

      Parameters:
        `columns` - the columns for the key
      Returns:
        the key that uses exactly the supplied columns, or null if there is no such key

    - #### hasExtraColumns

          boolean hasExtraColumns()

      Determine whether this table allows has extra columns not included in the `column list`. This value is used to determine whether columns in a SELECT clause should be validated against the list of known columns.
      Returns:
        true if there are extra columns, or false if the `list of columns` is complete for this table.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.